package com.ruoyi.sy.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.sy.domain.SyMajorCategory;

/**
 * 二级专业Mapper接口
 * 
 * @author mingxue
 * @date 2022-03-02
 */
public interface SyMajorCategoryMapper 
{
    /**
     * 查询二级专业
     * 
     * @param id 二级专业ID
     * @return 二级专业
     */
    public SyMajorCategory selectSyMajorCategoryById(Long id);

    public List<SyMajorCategory> selectSyMajorCategoryListByView(Map cond);
    public List<SyMajorCategory> selectSyMajorCategoryListByOccupation(Map cond);
    public List<SyMajorCategory> selectSyMajorCategoryListByKnowledge(Map cond);
    public List<SyMajorCategory> selectSelectedMajorList(Map cond);
    public List<SyMajorCategory> selectAllMajorList(Map cond);

    public List<SyMajorCategory> selectUserSyMajorCategory(Map cond);
    public List<SyMajorCategory> selectUserSyMajorMajor(Map cond);

    /**
     * 查询二级专业列表
     * 
     * @param syMajorCategory 二级专业
     * @return 二级专业集合
     */
    public List<SyMajorCategory> selectSyMajorCategoryList(SyMajorCategory syMajorCategory);

    /**
     * 新增二级专业
     * 
     * @param syMajorCategory 二级专业
     * @return 结果
     */
    public int insertSyMajorCategory(SyMajorCategory syMajorCategory);

    /**
     * 修改二级专业
     * 
     * @param syMajorCategory 二级专业
     * @return 结果
     */
    public int updateSyMajorCategory(SyMajorCategory syMajorCategory);

    /**
     * 删除二级专业
     * 
     * @param id 二级专业ID
     * @return 结果
     */
    public int deleteSyMajorCategoryById(Long id);

    /**
     * 批量删除二级专业
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSyMajorCategoryByIds(Long[] ids);
}
